From 1db3dd1cb01cb783afeb38f902e9b21e8bac83ad Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 11/32] Issues: Fix bug in bugzilla endpoint


---

diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index 0a2fda4..dbc919c 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -57,8 +57,9 @@ class DataView(WidgetView):
             'issues': all_issues,
             'more': {
                 'bugzilla': {'count': bzcnt,
-                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch=reporter:{}'
-                                     .format(instance.hub.config['bugzilla_email'])
+                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch={}:{}'
+                                     .format('reporter' if instance.config['mode'] == 'author' else 'assigned_to',
+                                             instance.hub.config['bugzilla_email'])
                              },
                 'pagure': {'count': pcnt,
                            'link': 'https://pagure.io/user/{}/issues'.format(instance.hub.config['pagure_username'])

